Package org.apache.aries.jax.rs.whiteboard.internal.cxf

## Class SingletonServiceReferenceResourceProvider

- java.lang.Object
- - org.apache.cxf.jaxrs.lifecycle.SingletonResourceProvider
  - - org.apache.aries.jax.rs.whiteboard.internal.cxf.SingletonServiceReferenceResourceProvider

All Implemented Interfaces:
  `ServiceReferenceResourceProvider`, `org.apache.cxf.jaxrs.lifecycle.ResourceProvider`

    public class SingletonServiceReferenceResourceProvider
    extends org.apache.cxf.jaxrs.lifecycle.SingletonResourceProvider
    implements ServiceReferenceResourceProvider

### Constructor Summary

Constructors
`SingletonServiceReferenceResourceProvider​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference, Object o)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.aries.component.dsl.CachingServiceReference<?>` `getImmutableServiceReference()`

### Methods inherited from class org.apache.cxf.jaxrs.lifecycle.SingletonResourceProvider

`getInstance, getResourceClass, init, isSingleton, releaseInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingletonServiceReferenceResourceProvider

    public SingletonServiceReferenceResourceProvider​(org.apache.aries.component.dsl.CachingServiceReference<?> cachingServiceReference,
                                                     Object o)

### Method Detail

#### getImmutableServiceReference

    public org.apache.aries.component.dsl.CachingServiceReference<?> getImmutableServiceReference()

Specified by:
  `getImmutableServiceReference` in interface `ServiceReferenceResourceProvider`